Besoin d'aide ?

erreurs lors du déploiement de projet sur le serveur

  • Avatar de KouaSergeTEH
    Membre depuis :
    18/11/2017
    Messages :
    10

    Merci deja pour votre aide..., jai travailler sur un projet en local, tout avait l'ere de bien fonctionner et maintenant que je le fait heberger sur serveur... il me génère des erreurs lors des enregistrements... par exemple:

    Whoops, looks like something went wrong.

    Undefined offset: 0 (View: C:\laragon\www\sgip\resources\views\dotation\listeDotation.blade.php)
    in Collection.php (line 1563)
    at CompilerEngine ->handleViewException( object(ErrorException), 1)
    in PhpEngine.php (line 44)
    at PhpEngine -

    evaluatePath('C:\laragon\www\sgip\storage\framework\views/5af9985fcb144a74902c0afa78e5a5bcc277905d.php',
    array('env' => object(Factory), 'app' => object(Application), 'errors' => object(ViewErrorBag), 'dotation' =>
    object(Collection), 'facturepro' => object(Collection), 'produitommande' => object(Collection), 'matbureau' =>
    object(Collection), 'typpe' => object(Collection), 'structur' => object(Collection), 'declenfourss' => object(Collection),
    'avorterdotation' => object(Collection), 'fichierfsseur' => object(Collection), 'besion' => object(Collection)))
    in CompilerEngine.php (line 59)
    at CompilerEngine ->get('C:\laragon\www\sgip\resources\views/dotation/listeDotation.blade.php', array('
    env' =>
    object(Factory), 'app' => object(Application), 'errors' => object(ViewErrorBag), 'dotation' => object(Collection), 'facturepro'
    => object(Collection), 'produitommande' => object(Collection), 'matbureau' => object(Collection), 'typpe' =>
    object(Collection), 'structur' => object(Collection), 'declenfourss' => object(Collection), 'avorterdotation' =>
    object(Collection), 'fichierfsseur' => object(Collection), 'besion' => object(Collection)))

  • Avatar de bestmomo
    Membre depuis :
    07/04/2013
    Messages :
    2274

    Bonjour,

    La première chose à vérifier c'est si le serveur a le minimum requis pour Laravel :

    PHP >= 7.1.3
    OpenSSL PHP Extension
    PDO PHP Extension
    Mbstring PHP Extension
    Tokenizer PHP Extension
    XML PHP Extension
    Ctype PHP Extension
    JSON PHP Extension

Vous ne pouvez pas répondre à ce sujet.